package com.patzn.lims.sys.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.sys.entity.SysUser;
import com.patzn.lims.sys.entity.SysUserRelOrg;
import com.patzn.lims.core.web.IBaseService;

import java.util.List;

/**
 * <p>
 * 用户组织关联表 服务类
 * </p>
 *
 * @author patzn
 * @since 2017-08-03
 */
public interface ISysUserRelOrgService extends IBaseService<SysUserRelOrg> {


    IPage<SysUserRelOrg> page(Page<SysUserRelOrg> page, SysUserRelOrg sysUserRelOrg);


    Page<SysUser> pageByOrgId(Page<SysUser> page, Long orgId, Long companyId, Boolean activation, String realname);


    List<SysUser> listByOrgId(Long orgId, Long companyId, String realname);


    List<SysUser> listByCompanyId(Long companyId, String realname);


    List<SysUserRelOrg> getRelOrg(Long userId);


    boolean saveRelOrg(Long userId, Long orgId);


    boolean saveRelOrg(Long userId, List<Long> orgIds);
}
